# Package org.jboss.classfilewriter

Interface Summary
ClassFactory: Class definition factory.
WritableEntry: a part of the class file that knows hows to write itself to a `ByteArrayOutputStream`

Class Summary
AccessFlag
ClassField: A field in a class
ClassFile
ClassMethod
JavaVersions

Exception Summary
DuplicateMemberException: Exception thrown if the same field or method is added twice
InvalidBytecodeException